Subject: Re: [syzbot] [net?] INFO: task hung in nsim_create (2)

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Jul 2024 19:58:22 -0700

On Wed, 24 Jul 2024 20:28:09 +0200 Eric Dumazet wrote:
> The fact that netdevsim uses a sysfs file to add/delete netdevice
> seems unfortunate,

Let me not point fingers but agreed, and the original implementation
didn't :)

> because of the classical sysfs vs rtnl issue (see rtnl_trylock() calls
> in net/core/net-sysfs.c for reference)

Is that any different than binding a physical device via sysfs?
Modules have "bind" and "unbind" files, which lead to probe/remove
AFAIU completely inline.